PRECLNTSAVE(8)

NAME
preclntsave - Child process to run pre-processing commands for Networker savepnpc.

SYNOPSIS
preclntsave -s server -c client -g group [-D debuglevel]

DESCRIPTION
The preclntsave process verifies if there is an existing /nsr/tmp/<grpname>.tmp file, which indicates that the pre-processing commands had been run. If so, it exits with status 0 to let savepnpc resume its normal save task. Otherwise, it locks the /nsr/res/<grpname>.res.lck file, invokes all the pre-processing commands specified in the /nsr/res/<grpname>.res file, then creates /nsr/tmp/<grpname>.tmp file, spawns the pstclntsave process, and exits with status 0.

Note: This is to be invoked by savepnpc program only. It is not meant for users to use.

OPTIONS

-s server
    Specifies the controlling server.

-c client
    The name of the client where the pre-processing commands will be performed on.

-g group
    Specifies the group name that is being run.

-D debuglevel
    For debugging purpose, the debug level could be 1, 2 or 3.

SEE ALSO
savepnpc(8), pstclntsave(8), save(8)